<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_credit_card_info.php                               ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("sales_orders");

	$message_types = 
		array( 
			array(1, "HTML"), array(0, "Plain Text")
		);

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_credit_card_info.html");

	$t->set_var("admin_credit_card_info_href", "admin_credit_card_info.php");
	$t->set_var("admin_order_help_href", "admin_order_help.php");
	$t->set_var("admin_email_help_href", "admin_email_help.php");

	$r = new VA_Record($table_prefix . "credit_card_info");

	$r->add_textbox("intro_text", TEXT);

	// set up html form parameters
	$r->add_checkbox("show_cc_name", INTEGER);
	$r->add_checkbox("show_cc_number", INTEGER);
	$r->add_checkbox("show_cc_start_date", INTEGER);
	$r->add_checkbox("show_cc_expiry_date", INTEGER);
	$r->add_checkbox("show_cc_type", INTEGER);
	$r->add_checkbox("show_cc_issue_number", INTEGER);
	$r->add_checkbox("show_cc_security_code", INTEGER);
	$r->add_checkbox("show_pay_without_cc", INTEGER);
   
	$r->add_checkbox("cc_name_required", INTEGER);
	$r->add_checkbox("cc_number_required", INTEGER);
	$r->add_checkbox("cc_start_date_required", INTEGER);
	$r->add_checkbox("cc_expiry_date_required", INTEGER);
	$r->add_checkbox("cc_type_required", INTEGER);
	$r->add_checkbox("cc_issue_number_required", INTEGER);
	$r->add_checkbox("cc_security_code_required", INTEGER);
	$r->add_checkbox("pay_without_cc_required", INTEGER);

	$r->add_checkbox("cc_number_split", INTEGER);

	$r->add_checkbox("admin_notification", INTEGER);
	$r->add_textbox("admin_email", TEXT);
	$r->add_textbox("admin_mail_from", TEXT);
	$r->add_textbox("cc_emails", TEXT);
	$r->add_textbox("admin_mail_bcc", TEXT);
	$r->add_textbox("admin_mail_reply_to", TEXT);
	$r->add_textbox("admin_mail_return_path", TEXT);
	$r->add_textbox("admin_subject", TEXT);
	$r->add_radio("admin_message_type", TEXT, $message_types);
	$r->add_textbox("admin_message", TEXT);

	$r->get_form_values();

	$operation = get_param("operation");
	$return_page = get_param("rp");
	if(!strlen($return_page)) $return_page = "admin.php";

	if(strlen($operation))
	{
		if($operation == "cancel")
		{
			header("Location: " . $return_page);
			exit;
		}

		if(!strlen($r->errors))
		{
			$sql = "DELETE FROM " . $table_prefix . "global_settings WHERE setting_type='credit_card_info'";
			$db->query($sql);
			foreach($r->parameters as $key => $value)
			{
				$sql  = "INSERT INTO " . $table_prefix . "global_settings (setting_type, setting_name, setting_value) VALUES (";
				$sql .= "'credit_card_info', '" . $key . "'," . $db->tosql($value[CONTROL_VALUE], TEXT) . ")";
				$db->query($sql);
			}

			header("Location: " . $return_page);
			exit;
		}
	}
	else // get credit_order_info settings
	{
		foreach($r->parameters as $key => $value)
		{
			$sql  = "SELECT setting_value FROM " . $table_prefix . "global_settings ";
			$sql .= "WHERE setting_type='credit_card_info' AND setting_name='" . $key . "'";
			$r->set_value($key, get_db_value($sql));
		}
	}

	$r->set_parameters();
	$t->set_var("rp", htmlspecialchars($return_page));

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>