<?

function small_cart($block_name)
{
	global $t;
	global $db, $table_prefix;
	global $category_id;
	global $page_settings, $settings;
	
	if(get_setting_value($page_settings, $block_name . "_column_hide", 0)) {
		return;
	}
	$t->set_file("block_body", "block_cart.html");

	$t->set_var("SMALL_CART_TITLE",      SMALL_CART_TITLE);
	$t->set_var("GOTO_CHECKOUT_MSG", GOTO_CHECKOUT_MSG);
	$t->set_var("AMEND_CART_MSG",    AMEND_CART_MSG);
	$t->set_var("VIEW_CART_MSG",     VIEW_CART_MSG);

	$shopping_cart = get_session("shopping_cart");
	if(is_array($shopping_cart) && sizeof($shopping_cart) > 0) {
		$t->set_var("empty_small_cart", "");
		$t->set_var("small_cart_items", "");

		$t->set_var("PROD_TITLE_COLUMN",  PROD_TITLE_COLUMN);
		$t->set_var("PROD_QTY_COLUMN",  PROD_QTY_COLUMN);
		$t->set_var("PROD_PRICE_COLUMN",PROD_PRICE_COLUMN);
		$t->set_var("GOODS_TOTAL_MSG", GOODS_TOTAL_MSG);
		$t->set_var("CART_TOTAL_MSG", CART_TOTAL_MSG);

		$currency_left = ""; $currency_right = "";
		if($settings["currency_position"] == 1)
			$currency_left = $settings["currency_sign"];
		else if($settings["currency_position"] == 2)
			$currency_right = $settings["currency_sign"];

		$total_quantity = 0; $total_price = 0;
		foreach($shopping_cart as $cart_id => $item)
		{
			$item_id = $item["ITEM_ID"];
			$properties = $item["PROPERTIES"];
			$short_name = $item["SHORT_NAME"];
			$quantity = $item["QUANTITY"];
			$price = $item["PRICE"];

			$total_quantity += $quantity;
			$total_price += ($quantity * $price);

			$t->set_var("short_name", $short_name);
			$t->set_var("quantity", $quantity);
			$t->set_var("price", $currency_left . number_format($price, 2) . $currency_right);

			$t->parse("small_cart_items", true);
		}

		$t->set_var("total_quantity", $total_quantity);
		$t->set_var("total_price", $currency_left . number_format($total_price, 2) . $currency_right);

		$t->set_var("checkout_href", "checkout.php");
		$t->set_var("basket_href", "basket.php");

		$t->parse("small_cart", false);
	} else {
		$t->set_var("EMPTY_CART_MSG", EMPTY_CART_MSG);
		$t->parse("empty_small_cart", false);
		$t->set_var("small_cart", "");
	}

	$t->parse("block_body", false);
	$t->parse($block_name, true);

}

?>