<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_reviews.php                                        ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");
	include($root_folder_path . "includes/record.php");
	include($root_folder_path . "includes/date_functions.php");

	check_admin_security("products_reviews");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_reviews.html");

	$t->set_var("admin_review_href", "admin_review.php");
	$t->set_var("admin_reviews_href", "admin_reviews.php");

	$s = get_param("s");
	$r = new VA_Record($table_prefix . "reviews");
	$search_values = 
		array( 
			array("", "All"), array(0, "Non Approved"), array(1, "Approved")
		);

	$r->add_radio("s_a", INTEGER, $search_values);
	$r->get_form_values();
	if($s != 1) { $r->set_value("s_a", 0); }

	$r->set_parameters();
	$where = "";
	if(!$r->is_empty("s_a"))
		$where = " WHERE approved=" . $db->tosql($r->get_value("s_a"), INTEGER);
	$t->set_var("s_url", $s);
	$t->set_var("s_a_url", $r->get_value("s_a"));

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_reviews.php");
	$s->set_sorter("ID", "sorter_review_id", "1", "review_id");
	$s->set_sorter("User Name", "sorter_user_name", "2", "user_name");
	$s->set_sorter("Review Added", "sorter_date_added", "3", "date_added");
	$s->set_sorter("Approved?", "sorter_approved", "4", "approved");

	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_reviews.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "reviews " . $where);
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$db->query("SELECT * FROM " . $table_prefix . "reviews " . $where . $s->order_by);
	if($db->next_record())
	{
		$t->parse("sorters", false);
		$t->set_var("no_records", "");
		do
		{
			$t->set_var("review_id", $db->f("review_id"));
			$t->set_var("user_name", $db->f("user_name"));
			$date_added = $db->f("date_added", DATETIME);
			$t->set_var("date_added", va_date($date_show_format, $date_added));
			$approved = $db->f("approved") ? "Yes" : "No";
			$t->set_var("approved", $approved);
			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->set_var("admin_href", "admin.php");
	$t->pparse("main");
?>
